NGETTEXT(1)

BEZEICHNUNG
ngettext - Meldungen übersetzen und Pluralform wählen

ÜBERSICHT
ngettext [OPTION] [TEXTDOMAIN] MSGID MSGID-PLURAL-ANZAHL

BESCHREIBUNG
Das Programm ngettext übersetzt eine Meldung aus der Ausgangssprache in die Sprache des Benutzers, indem die Übersetzung im Meldungskatalog nachgeschlagen wird, und wählt die entsprechende Pluralform. Diese hängt von der angegebenen ANZAHL und der Sprache des Meldungskatalogs ab, in dem die Übersetzung gefunden wurde.

Zeigt die Übersetzung einer Meldung an, deren grammatische Form von einer Zahl abhängt.

-d, --domain=TEXTDOMAIN
    bezieht die übersetzte Meldung aus der angegebenen TEXTDOMAIN.

-c, --context=KONTEXT
    gibt den Kontext für MSGID an.

-e  aktiviert die Expansion einiger Maskiersequenzen.

-E  (wird ignoriert; nur für Kompatibilitätszwecke)

[TEXTDOMAIN]
    bezieht die übersetzte Meldung aus der angegebenen TEXTDOMAIN.

MSGID MSGID-PLURAL
    übersetzt MSGID (Singular) / MSGID-PLURAL (Plural)

ANZAHL
    wählt die Singular- bzw. Pluralform basierend auf diesem Wert.

  Informative Ausgabe:

-h, --help
    zeigt Hilfeinformationen an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

Falls der Parameter TEXTDOMAIN nicht angegeben ist, wird die Domain aus der Umgebungsvariable TEXTDOMAIN ermittelt. Wird der Meldungskatalog im durch diese Variable vorgegebenen Verzeichnis nicht gefunden, dann können Sie mit der Umgebungsvariable TEXTDOMAINDIR einen anderen Ort angeben. Standardmäßig wird /usr/share/locale verwendet.

AUTOR
Geschrieben von Ulrich Drepper.

FEHLER MELDEN
Melden Sie Fehler im Fehlererfassungssystem auf <https://savannah.gnu.org/projects/gettext> oder per E-Mail an <bug-gettext@gnu.org> (jeweils auf Englisch).

COPYRIGHT
Copyright © 1995-1997, 2000-2020 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Die vollständige Dokumentation für ngettext wird als ein Texinfo-Handbuch gepflegt. Wenn die Programme info(1) und ngettext auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info ngettext

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).